<?php
    
    /* @var $this \yii\web\View */
    
    /* @var $content string */
    
    use yii\helpers\Html;
    use app\assets\AppAsset;
    
    AppAsset::register($this);
?>
<?php $this->beginPage() ?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width">
    <link href="https://fonts.googleapis.com/css?family=Ubuntu:400,500,700&amp;subset=cyrillic,cyrillic-ext,latin-ext" rel="stylesheet">
    <link type="image/x-icon" href="favicon.ico" rel="icon">
      <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
      <?php $this->head() ?>
  </head>
  <body>
      <?php $this->beginBody() ?>
    <style>
      iframe {
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
      }
    </style>
    
    
    <div class="active section-box-1">
      <span class="first-btn btn_">Подписаться на ветер</span>
      <span class="second-btn btn_">Смотреть карту</span>
      
      <div class="hidden-form">
        <form action="">
          <div class="input-wr">
            <label for="input-name">Имя</label>
            <input id="input-name" type="text">
          </div>
          <div class="input-wr">
            <label for="input-email">Почта</label>
            <input id="input-email" type="text">
          </div>
          <div class="input-wr submit-wr">
            <button type="submit">Отправить</button>
          </div>
        </form>
      </div>
    </div>
    
    <div class="section-box-map">
      <iframe src="https://www.google.com/maps/d/u/0/embed?mid=1i7xYukKWTOidy_IDDRETE078TmDlxTLV" width="640" height="480"></iframe>
      <div class="green-block">
        <p>При поддержке</p>
        <span> Х-park</span><a target="_blank" href="https://extremstyle.ua">extremstyle.ua</a><span>KFSU</span>
      </div>
    </div>
      
      <?php $this->endBody() ?>
  </body>
</html>
<?php $this->endPage() ?>
