<?php
    
    namespace app\models;
    
    use yii\db\ActiveRecord;
    
    /**
     * Class Subscribe
     *
     * @property string $email
     * @property string $name
     * @property string $domain
     * @property int    $time
     * @package app\models
     */
    class Subscribe extends ActiveRecord
    {
        public function rules()
        {
            return [
                [
                    [ 'email' ],
                    'email',
                ],
                [
                    [ 'name' ],
                    'string',
                ],
                [
                    [
                        'domain',
                        'time',
                    ],
                    'safe',
                ],
            ];
        }
    }